Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network104.239.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
104.239.0.0
Broadcast address
104.239.255.255
First usable
104.239.0.1
Last usable
104.239.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 68EF0000 · Integer 1760493568 to 1760559103
Reverse DNS zone
239.104.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101000.11101111..00000000.00000000104.239.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01101000.11101111..00000000.00000000104.239.0.0
Broadcast01101000.11101111..11111111.11111111104.239.255.255
Split into smaller subnets/27

104.239.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1104.239.0.0/27104.239.0.1 to 104.239.0.30104.239.0.3130
2104.239.0.32/27104.239.0.33 to 104.239.0.62104.239.0.6330
3104.239.0.64/27104.239.0.65 to 104.239.0.94104.239.0.9530
4104.239.0.96/27104.239.0.97 to 104.239.0.126104.239.0.12730
5104.239.0.128/27104.239.0.129 to 104.239.0.158104.239.0.15930
6104.239.0.160/27104.239.0.161 to 104.239.0.190104.239.0.19130
7104.239.0.192/27104.239.0.193 to 104.239.0.222104.239.0.22330
8104.239.0.224/27104.239.0.225 to 104.239.0.254104.239.0.25530
9104.239.1.0/27104.239.1.1 to 104.239.1.30104.239.1.3130
10104.239.1.32/27104.239.1.33 to 104.239.1.62104.239.1.6330
11104.239.1.64/27104.239.1.65 to 104.239.1.94104.239.1.9530
12104.239.1.96/27104.239.1.97 to 104.239.1.126104.239.1.12730
13104.239.1.128/27104.239.1.129 to 104.239.1.158104.239.1.15930
14104.239.1.160/27104.239.1.161 to 104.239.1.190104.239.1.19130
15104.239.1.192/27104.239.1.193 to 104.239.1.222104.239.1.22330
16104.239.1.224/27104.239.1.225 to 104.239.1.254104.239.1.25530
17104.239.2.0/27104.239.2.1 to 104.239.2.30104.239.2.3130
18104.239.2.32/27104.239.2.33 to 104.239.2.62104.239.2.6330
19104.239.2.64/27104.239.2.65 to 104.239.2.94104.239.2.9530
20104.239.2.96/27104.239.2.97 to 104.239.2.126104.239.2.12730
21104.239.2.128/27104.239.2.129 to 104.239.2.158104.239.2.15930
22104.239.2.160/27104.239.2.161 to 104.239.2.190104.239.2.19130
23104.239.2.192/27104.239.2.193 to 104.239.2.222104.239.2.22330
24104.239.2.224/27104.239.2.225 to 104.239.2.254104.239.2.25530
25104.239.3.0/27104.239.3.1 to 104.239.3.30104.239.3.3130
26104.239.3.32/27104.239.3.33 to 104.239.3.62104.239.3.6330
27104.239.3.64/27104.239.3.65 to 104.239.3.94104.239.3.9530
28104.239.3.96/27104.239.3.97 to 104.239.3.126104.239.3.12730
29104.239.3.128/27104.239.3.129 to 104.239.3.158104.239.3.15930
30104.239.3.160/27104.239.3.161 to 104.239.3.190104.239.3.19130
31104.239.3.192/27104.239.3.193 to 104.239.3.222104.239.3.22330
32104.239.3.224/27104.239.3.225 to 104.239.3.254104.239.3.25530
33104.239.4.0/27104.239.4.1 to 104.239.4.30104.239.4.3130
34104.239.4.32/27104.239.4.33 to 104.239.4.62104.239.4.6330
35104.239.4.64/27104.239.4.65 to 104.239.4.94104.239.4.9530
36104.239.4.96/27104.239.4.97 to 104.239.4.126104.239.4.12730
37104.239.4.128/27104.239.4.129 to 104.239.4.158104.239.4.15930
38104.239.4.160/27104.239.4.161 to 104.239.4.190104.239.4.19130
39104.239.4.192/27104.239.4.193 to 104.239.4.222104.239.4.22330
40104.239.4.224/27104.239.4.225 to 104.239.4.254104.239.4.25530
41104.239.5.0/27104.239.5.1 to 104.239.5.30104.239.5.3130
42104.239.5.32/27104.239.5.33 to 104.239.5.62104.239.5.6330
43104.239.5.64/27104.239.5.65 to 104.239.5.94104.239.5.9530
44104.239.5.96/27104.239.5.97 to 104.239.5.126104.239.5.12730
45104.239.5.128/27104.239.5.129 to 104.239.5.158104.239.5.15930
46104.239.5.160/27104.239.5.161 to 104.239.5.190104.239.5.19130
47104.239.5.192/27104.239.5.193 to 104.239.5.222104.239.5.22330
48104.239.5.224/27104.239.5.225 to 104.239.5.254104.239.5.25530
49104.239.6.0/27104.239.6.1 to 104.239.6.30104.239.6.3130
50104.239.6.32/27104.239.6.33 to 104.239.6.62104.239.6.6330
51104.239.6.64/27104.239.6.65 to 104.239.6.94104.239.6.9530
52104.239.6.96/27104.239.6.97 to 104.239.6.126104.239.6.12730
53104.239.6.128/27104.239.6.129 to 104.239.6.158104.239.6.15930
54104.239.6.160/27104.239.6.161 to 104.239.6.190104.239.6.19130
55104.239.6.192/27104.239.6.193 to 104.239.6.222104.239.6.22330
56104.239.6.224/27104.239.6.225 to 104.239.6.254104.239.6.25530
57104.239.7.0/27104.239.7.1 to 104.239.7.30104.239.7.3130
58104.239.7.32/27104.239.7.33 to 104.239.7.62104.239.7.6330
59104.239.7.64/27104.239.7.65 to 104.239.7.94104.239.7.9530
60104.239.7.96/27104.239.7.97 to 104.239.7.126104.239.7.12730
61104.239.7.128/27104.239.7.129 to 104.239.7.158104.239.7.15930
62104.239.7.160/27104.239.7.161 to 104.239.7.190104.239.7.19130
63104.239.7.192/27104.239.7.193 to 104.239.7.222104.239.7.22330
64104.239.7.224/27104.239.7.225 to 104.239.7.254104.239.7.25530
65104.239.8.0/27104.239.8.1 to 104.239.8.30104.239.8.3130
66104.239.8.32/27104.239.8.33 to 104.239.8.62104.239.8.6330
67104.239.8.64/27104.239.8.65 to 104.239.8.94104.239.8.9530
68104.239.8.96/27104.239.8.97 to 104.239.8.126104.239.8.12730
69104.239.8.128/27104.239.8.129 to 104.239.8.158104.239.8.15930
70104.239.8.160/27104.239.8.161 to 104.239.8.190104.239.8.19130
71104.239.8.192/27104.239.8.193 to 104.239.8.222104.239.8.22330
72104.239.8.224/27104.239.8.225 to 104.239.8.254104.239.8.25530
73104.239.9.0/27104.239.9.1 to 104.239.9.30104.239.9.3130
74104.239.9.32/27104.239.9.33 to 104.239.9.62104.239.9.6330
75104.239.9.64/27104.239.9.65 to 104.239.9.94104.239.9.9530
76104.239.9.96/27104.239.9.97 to 104.239.9.126104.239.9.12730
77104.239.9.128/27104.239.9.129 to 104.239.9.158104.239.9.15930
78104.239.9.160/27104.239.9.161 to 104.239.9.190104.239.9.19130
79104.239.9.192/27104.239.9.193 to 104.239.9.222104.239.9.22330
80104.239.9.224/27104.239.9.225 to 104.239.9.254104.239.9.25530
81104.239.10.0/27104.239.10.1 to 104.239.10.30104.239.10.3130
82104.239.10.32/27104.239.10.33 to 104.239.10.62104.239.10.6330
83104.239.10.64/27104.239.10.65 to 104.239.10.94104.239.10.9530
84104.239.10.96/27104.239.10.97 to 104.239.10.126104.239.10.12730
85104.239.10.128/27104.239.10.129 to 104.239.10.158104.239.10.15930
86104.239.10.160/27104.239.10.161 to 104.239.10.190104.239.10.19130
87104.239.10.192/27104.239.10.193 to 104.239.10.222104.239.10.22330
88104.239.10.224/27104.239.10.225 to 104.239.10.254104.239.10.25530
89104.239.11.0/27104.239.11.1 to 104.239.11.30104.239.11.3130
90104.239.11.32/27104.239.11.33 to 104.239.11.62104.239.11.6330
91104.239.11.64/27104.239.11.65 to 104.239.11.94104.239.11.9530
92104.239.11.96/27104.239.11.97 to 104.239.11.126104.239.11.12730
93104.239.11.128/27104.239.11.129 to 104.239.11.158104.239.11.15930
94104.239.11.160/27104.239.11.161 to 104.239.11.190104.239.11.19130
95104.239.11.192/27104.239.11.193 to 104.239.11.222104.239.11.22330
96104.239.11.224/27104.239.11.225 to 104.239.11.254104.239.11.25530
97104.239.12.0/27104.239.12.1 to 104.239.12.30104.239.12.3130
98104.239.12.32/27104.239.12.33 to 104.239.12.62104.239.12.6330
99104.239.12.64/27104.239.12.65 to 104.239.12.94104.239.12.9530
100104.239.12.96/27104.239.12.97 to 104.239.12.126104.239.12.12730
101104.239.12.128/27104.239.12.129 to 104.239.12.158104.239.12.15930
102104.239.12.160/27104.239.12.161 to 104.239.12.190104.239.12.19130
103104.239.12.192/27104.239.12.193 to 104.239.12.222104.239.12.22330
104104.239.12.224/27104.239.12.225 to 104.239.12.254104.239.12.25530
105104.239.13.0/27104.239.13.1 to 104.239.13.30104.239.13.3130
106104.239.13.32/27104.239.13.33 to 104.239.13.62104.239.13.6330
107104.239.13.64/27104.239.13.65 to 104.239.13.94104.239.13.9530
108104.239.13.96/27104.239.13.97 to 104.239.13.126104.239.13.12730
109104.239.13.128/27104.239.13.129 to 104.239.13.158104.239.13.15930
110104.239.13.160/27104.239.13.161 to 104.239.13.190104.239.13.19130
111104.239.13.192/27104.239.13.193 to 104.239.13.222104.239.13.22330
112104.239.13.224/27104.239.13.225 to 104.239.13.254104.239.13.25530
113104.239.14.0/27104.239.14.1 to 104.239.14.30104.239.14.3130
114104.239.14.32/27104.239.14.33 to 104.239.14.62104.239.14.6330
115104.239.14.64/27104.239.14.65 to 104.239.14.94104.239.14.9530
116104.239.14.96/27104.239.14.97 to 104.239.14.126104.239.14.12730
117104.239.14.128/27104.239.14.129 to 104.239.14.158104.239.14.15930
118104.239.14.160/27104.239.14.161 to 104.239.14.190104.239.14.19130
119104.239.14.192/27104.239.14.193 to 104.239.14.222104.239.14.22330
120104.239.14.224/27104.239.14.225 to 104.239.14.254104.239.14.25530
121104.239.15.0/27104.239.15.1 to 104.239.15.30104.239.15.3130
122104.239.15.32/27104.239.15.33 to 104.239.15.62104.239.15.6330
123104.239.15.64/27104.239.15.65 to 104.239.15.94104.239.15.9530
124104.239.15.96/27104.239.15.97 to 104.239.15.126104.239.15.12730
125104.239.15.128/27104.239.15.129 to 104.239.15.158104.239.15.15930
126104.239.15.160/27104.239.15.161 to 104.239.15.190104.239.15.19130
127104.239.15.192/27104.239.15.193 to 104.239.15.222104.239.15.22330
128104.239.15.224/27104.239.15.225 to 104.239.15.254104.239.15.25530
129104.239.16.0/27104.239.16.1 to 104.239.16.30104.239.16.3130
130104.239.16.32/27104.239.16.33 to 104.239.16.62104.239.16.6330
131104.239.16.64/27104.239.16.65 to 104.239.16.94104.239.16.9530
132104.239.16.96/27104.239.16.97 to 104.239.16.126104.239.16.12730
133104.239.16.128/27104.239.16.129 to 104.239.16.158104.239.16.15930
134104.239.16.160/27104.239.16.161 to 104.239.16.190104.239.16.19130
135104.239.16.192/27104.239.16.193 to 104.239.16.222104.239.16.22330
136104.239.16.224/27104.239.16.225 to 104.239.16.254104.239.16.25530
137104.239.17.0/27104.239.17.1 to 104.239.17.30104.239.17.3130
138104.239.17.32/27104.239.17.33 to 104.239.17.62104.239.17.6330
139104.239.17.64/27104.239.17.65 to 104.239.17.94104.239.17.9530
140104.239.17.96/27104.239.17.97 to 104.239.17.126104.239.17.12730
141104.239.17.128/27104.239.17.129 to 104.239.17.158104.239.17.15930
142104.239.17.160/27104.239.17.161 to 104.239.17.190104.239.17.19130
143104.239.17.192/27104.239.17.193 to 104.239.17.222104.239.17.22330
144104.239.17.224/27104.239.17.225 to 104.239.17.254104.239.17.25530
145104.239.18.0/27104.239.18.1 to 104.239.18.30104.239.18.3130
146104.239.18.32/27104.239.18.33 to 104.239.18.62104.239.18.6330
147104.239.18.64/27104.239.18.65 to 104.239.18.94104.239.18.9530
148104.239.18.96/27104.239.18.97 to 104.239.18.126104.239.18.12730
149104.239.18.128/27104.239.18.129 to 104.239.18.158104.239.18.15930
150104.239.18.160/27104.239.18.161 to 104.239.18.190104.239.18.19130
151104.239.18.192/27104.239.18.193 to 104.239.18.222104.239.18.22330
152104.239.18.224/27104.239.18.225 to 104.239.18.254104.239.18.25530
153104.239.19.0/27104.239.19.1 to 104.239.19.30104.239.19.3130
154104.239.19.32/27104.239.19.33 to 104.239.19.62104.239.19.6330
155104.239.19.64/27104.239.19.65 to 104.239.19.94104.239.19.9530
156104.239.19.96/27104.239.19.97 to 104.239.19.126104.239.19.12730
157104.239.19.128/27104.239.19.129 to 104.239.19.158104.239.19.15930
158104.239.19.160/27104.239.19.161 to 104.239.19.190104.239.19.19130
159104.239.19.192/27104.239.19.193 to 104.239.19.222104.239.19.22330
160104.239.19.224/27104.239.19.225 to 104.239.19.254104.239.19.25530
161104.239.20.0/27104.239.20.1 to 104.239.20.30104.239.20.3130
162104.239.20.32/27104.239.20.33 to 104.239.20.62104.239.20.6330
163104.239.20.64/27104.239.20.65 to 104.239.20.94104.239.20.9530
164104.239.20.96/27104.239.20.97 to 104.239.20.126104.239.20.12730
165104.239.20.128/27104.239.20.129 to 104.239.20.158104.239.20.15930
166104.239.20.160/27104.239.20.161 to 104.239.20.190104.239.20.19130
167104.239.20.192/27104.239.20.193 to 104.239.20.222104.239.20.22330
168104.239.20.224/27104.239.20.225 to 104.239.20.254104.239.20.25530
169104.239.21.0/27104.239.21.1 to 104.239.21.30104.239.21.3130
170104.239.21.32/27104.239.21.33 to 104.239.21.62104.239.21.6330
171104.239.21.64/27104.239.21.65 to 104.239.21.94104.239.21.9530
172104.239.21.96/27104.239.21.97 to 104.239.21.126104.239.21.12730
173104.239.21.128/27104.239.21.129 to 104.239.21.158104.239.21.15930
174104.239.21.160/27104.239.21.161 to 104.239.21.190104.239.21.19130
175104.239.21.192/27104.239.21.193 to 104.239.21.222104.239.21.22330
176104.239.21.224/27104.239.21.225 to 104.239.21.254104.239.21.25530
177104.239.22.0/27104.239.22.1 to 104.239.22.30104.239.22.3130
178104.239.22.32/27104.239.22.33 to 104.239.22.62104.239.22.6330
179104.239.22.64/27104.239.22.65 to 104.239.22.94104.239.22.9530
180104.239.22.96/27104.239.22.97 to 104.239.22.126104.239.22.12730
181104.239.22.128/27104.239.22.129 to 104.239.22.158104.239.22.15930
182104.239.22.160/27104.239.22.161 to 104.239.22.190104.239.22.19130
183104.239.22.192/27104.239.22.193 to 104.239.22.222104.239.22.22330
184104.239.22.224/27104.239.22.225 to 104.239.22.254104.239.22.25530
185104.239.23.0/27104.239.23.1 to 104.239.23.30104.239.23.3130
186104.239.23.32/27104.239.23.33 to 104.239.23.62104.239.23.6330
187104.239.23.64/27104.239.23.65 to 104.239.23.94104.239.23.9530
188104.239.23.96/27104.239.23.97 to 104.239.23.126104.239.23.12730
189104.239.23.128/27104.239.23.129 to 104.239.23.158104.239.23.15930
190104.239.23.160/27104.239.23.161 to 104.239.23.190104.239.23.19130
191104.239.23.192/27104.239.23.193 to 104.239.23.222104.239.23.22330
192104.239.23.224/27104.239.23.225 to 104.239.23.254104.239.23.25530
193104.239.24.0/27104.239.24.1 to 104.239.24.30104.239.24.3130
194104.239.24.32/27104.239.24.33 to 104.239.24.62104.239.24.6330
195104.239.24.64/27104.239.24.65 to 104.239.24.94104.239.24.9530
196104.239.24.96/27104.239.24.97 to 104.239.24.126104.239.24.12730
197104.239.24.128/27104.239.24.129 to 104.239.24.158104.239.24.15930
198104.239.24.160/27104.239.24.161 to 104.239.24.190104.239.24.19130
199104.239.24.192/27104.239.24.193 to 104.239.24.222104.239.24.22330
200104.239.24.224/27104.239.24.225 to 104.239.24.254104.239.24.25530
201104.239.25.0/27104.239.25.1 to 104.239.25.30104.239.25.3130
202104.239.25.32/27104.239.25.33 to 104.239.25.62104.239.25.6330
203104.239.25.64/27104.239.25.65 to 104.239.25.94104.239.25.9530
204104.239.25.96/27104.239.25.97 to 104.239.25.126104.239.25.12730
205104.239.25.128/27104.239.25.129 to 104.239.25.158104.239.25.15930
206104.239.25.160/27104.239.25.161 to 104.239.25.190104.239.25.19130
207104.239.25.192/27104.239.25.193 to 104.239.25.222104.239.25.22330
208104.239.25.224/27104.239.25.225 to 104.239.25.254104.239.25.25530
209104.239.26.0/27104.239.26.1 to 104.239.26.30104.239.26.3130
210104.239.26.32/27104.239.26.33 to 104.239.26.62104.239.26.6330
211104.239.26.64/27104.239.26.65 to 104.239.26.94104.239.26.9530
212104.239.26.96/27104.239.26.97 to 104.239.26.126104.239.26.12730
213104.239.26.128/27104.239.26.129 to 104.239.26.158104.239.26.15930
214104.239.26.160/27104.239.26.161 to 104.239.26.190104.239.26.19130
215104.239.26.192/27104.239.26.193 to 104.239.26.222104.239.26.22330
216104.239.26.224/27104.239.26.225 to 104.239.26.254104.239.26.25530
217104.239.27.0/27104.239.27.1 to 104.239.27.30104.239.27.3130
218104.239.27.32/27104.239.27.33 to 104.239.27.62104.239.27.6330
219104.239.27.64/27104.239.27.65 to 104.239.27.94104.239.27.9530
220104.239.27.96/27104.239.27.97 to 104.239.27.126104.239.27.12730
221104.239.27.128/27104.239.27.129 to 104.239.27.158104.239.27.15930
222104.239.27.160/27104.239.27.161 to 104.239.27.190104.239.27.19130
223104.239.27.192/27104.239.27.193 to 104.239.27.222104.239.27.22330
224104.239.27.224/27104.239.27.225 to 104.239.27.254104.239.27.25530
225104.239.28.0/27104.239.28.1 to 104.239.28.30104.239.28.3130
226104.239.28.32/27104.239.28.33 to 104.239.28.62104.239.28.6330
227104.239.28.64/27104.239.28.65 to 104.239.28.94104.239.28.9530
228104.239.28.96/27104.239.28.97 to 104.239.28.126104.239.28.12730
229104.239.28.128/27104.239.28.129 to 104.239.28.158104.239.28.15930
230104.239.28.160/27104.239.28.161 to 104.239.28.190104.239.28.19130
231104.239.28.192/27104.239.28.193 to 104.239.28.222104.239.28.22330
232104.239.28.224/27104.239.28.225 to 104.239.28.254104.239.28.25530
233104.239.29.0/27104.239.29.1 to 104.239.29.30104.239.29.3130
234104.239.29.32/27104.239.29.33 to 104.239.29.62104.239.29.6330
235104.239.29.64/27104.239.29.65 to 104.239.29.94104.239.29.9530
236104.239.29.96/27104.239.29.97 to 104.239.29.126104.239.29.12730
237104.239.29.128/27104.239.29.129 to 104.239.29.158104.239.29.15930
238104.239.29.160/27104.239.29.161 to 104.239.29.190104.239.29.19130
239104.239.29.192/27104.239.29.193 to 104.239.29.222104.239.29.22330
240104.239.29.224/27104.239.29.225 to 104.239.29.254104.239.29.25530
241104.239.30.0/27104.239.30.1 to 104.239.30.30104.239.30.3130
242104.239.30.32/27104.239.30.33 to 104.239.30.62104.239.30.6330
243104.239.30.64/27104.239.30.65 to 104.239.30.94104.239.30.9530
244104.239.30.96/27104.239.30.97 to 104.239.30.126104.239.30.12730
245104.239.30.128/27104.239.30.129 to 104.239.30.158104.239.30.15930
246104.239.30.160/27104.239.30.161 to 104.239.30.190104.239.30.19130
247104.239.30.192/27104.239.30.193 to 104.239.30.222104.239.30.22330
248104.239.30.224/27104.239.30.225 to 104.239.30.254104.239.30.25530
249104.239.31.0/27104.239.31.1 to 104.239.31.30104.239.31.3130
250104.239.31.32/27104.239.31.33 to 104.239.31.62104.239.31.6330
251104.239.31.64/27104.239.31.65 to 104.239.31.94104.239.31.9530
252104.239.31.96/27104.239.31.97 to 104.239.31.126104.239.31.12730
253104.239.31.128/27104.239.31.129 to 104.239.31.158104.239.31.15930
254104.239.31.160/27104.239.31.161 to 104.239.31.190104.239.31.19130
255104.239.31.192/27104.239.31.193 to 104.239.31.222104.239.31.22330
256104.239.31.224/27104.239.31.225 to 104.239.31.254104.239.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses